//This Class will work for 1.1 awt only

import java.applet.*;
import java.awt.*;


public class DoubleBufferApplet extends Applet {
  Image offscreenImage;
  Graphics offg;

  public void update(Graphics g) {
    Dimension d = getSize();
    // Create the offscreen buffer if necessary.
    if (offscreenImage == null ||
        offscreenImage.getWidth(null) != d.width ||
        offscreenImage.getHeight(null) != d.height) {
      // first time, or after resize
      offscreenImage = createImage(d.width, d.height);
      if (offg != null)
        offg.dispose();
      offg = offscreenImage.getGraphics();
    }

    // Clear the buffer to the applet's background color.
    offg.setColor(getBackground());
    offg.fillRect(0, 0, d.width, d.height);
    offg.setColor(getForeground());

    // Call paint with the offscreen buffer.
    paint(offg);
 
    // Draw the buffer to the screen.
    g.drawImage(offscreenImage, 0, 0, this);
  }


  public void destroy() {
    if (offg != null)
      offg.dispose();
  }    
}

